Bug 95551 - Firewatch: Missing elements in menu
Summary: Firewatch: Missing elements in menu
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-23 16:00 UTC by Sven Arvidsson
Modified: 2017-01-05 17:51 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
screenshot of bug (1.52 MB, image/png)
2016-05-23 16:00 UTC, Sven Arvidsson
Details
screenshot of bug (1.54 MB, image/png)
2016-05-23 16:01 UTC, Sven Arvidsson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Arvidsson 2016-05-23 16:00:57 UTC
Created attachment 123999 [details]
screenshot of bug

The game Firewatch is missing some elements from the menu with git. On older releases (11.x) the elements are there, but with issues.

Bisecting for when the elements went missing leads to 

8ee96ce83479693ab602964e0f157a2a51677005 is the first bad commit
commit 8ee96ce83479693ab602964e0f157a2a51677005
Author: Marek Olšák <marek.olsak@amd.com>
Date:   Tue Dec 8 17:33:55 2015 +0100

    radeonsi: re-enable Hyper-Z for stencil
    
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

:040000 040000 8029be873e5503649ad99a5f2c038d8297d21920 99c59149116c2b8a5a1351793f55deab32a1e3f0 M	src

I made an apitrace of the problem, but replaying it doesn't show the bug. (Probably because the game uses glXxxpointer)
https://www.dropbox.com/s/tm1xszl6aoai13c/firewatch.trace?dl=0

Something about the bug seems to connected to fullscreen, sometimes the elements that are present in 11.x goes missing when not running in fullscreen. Othertimes the game or gnome-shell crashes when switching between window/fullscreen.
Comment 1 Sven Arvidsson 2016-05-23 16:01:49 UTC
Created attachment 124000 [details]
screenshot of bug
Comment 2 Nicholas Miell 2016-05-23 19:44:54 UTC
This also happens on Evergreen.

All scrolling UI elements (the slots in the load/save/new game menus, display resolution list in the settings, text in the in-game object viewer) aren't displayed when the game is running at native resolution. If you switch to a resolution lower than native, then the text is rendered correctly but isn't properly clipped to the containing UI element. I've never seen any kind of glitchy rendering as demonstrated in the attached screenshots.
Comment 3 Sven Arvidsson 2016-05-24 19:51:15 UTC
Good catch, I have the same behavior on i965. 

So possibly a game bug or something general to Mesa?
Comment 4 Marek Olšák 2016-10-17 21:13:31 UTC
Does it still occur with current Mesa git?
Comment 5 Sven Arvidsson 2016-10-22 16:41:24 UTC
(In reply to Marek Olšák from comment #4)
> Does it still occur with current Mesa git?

In native resolution it actually seems fine on both 12.0.3 and current git (also fine on i965 with 12.0.3). 

The problem with clipping in non native resolution persists, but it seems to be either a game bug or something more general to Mesa.

I'm fine with calling this FIXED.
Comment 6 Marek Olšák 2017-01-05 17:51:04 UTC
(In reply to Sven Arvidsson from comment #5)
> I'm fine with calling this FIXED.

OK.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.